<form [formGroup]="gbhrForm" (submit)="onFormSubmit()">
    <div fxLayout="column" fxLayoutGap="15px">

        <mat-form-field appearance="outline" floatLabel="always">
            <mat-label>Code</mat-label>
            <input matInput placeholder="fill in code" type="text" formControlName="code" />
            <mat-icon matPrefix>code</mat-icon>
            <mat-hint>Please input code</mat-hint>
        </mat-form-field>

        <mat-form-field appearance="outline" floatLabel="always">
            <mat-label>Name</mat-label>
            <input matInput placeholder="fill in name" type="text" formControlName="name" />
            <mat-icon matPrefix>description</mat-icon>
            <mat-hint>Please input name</mat-hint>
        </mat-form-field>

        <mat-form-field appearance="outline" floatLabel="always">
            <mat-label>Title</mat-label>
            <mat-select formControlName="title">
                <mat-option *ngFor="let itm of titles" [value]="itm">
                    {{itm}}
                </mat-option>
            </mat-select>
            <mat-icon matPrefix>title</mat-icon>
            <mat-hint>Please input title</mat-hint>
        </mat-form-field>

        <button type="submit" mat-raised-button color="primary">
            <mat-icon>save</mat-icon> Save
        </button>
    </div>
</form>